Subject: Re: [bug#72925] [PATCH v3] adding jpm package

From: Suhail Singh <[email-masked]>
Date: Wed, 02 Oct 2024 21:40:09 -0400

Suhail Singh <[email-masked]> writes:

>> I don't think this should be related to this patch.
>
> As I mentioned previously, I believe your packaging of "jpm" is
> correctly done.

After having taken a look at the source of JPM, I believe I was
previously mistaken.  I don't believe the JPM packaging is correct.  And
I do believe that the issue I was observing is related to the patch.

Specifically, in the file "configs/linux_config.janet", among other
things, the below are set

#+begin_src janet
   :c++ "c++"
   :c++-link "c++"
   :cc "cc"
   :cc-link "cc"
#+end_src

Since Guix, as far as I know, doesn't have packages that provide c++ nor
cc, I believe the above need to be patched to refer to gcc and g++
respectively.

Further, I believe JPM should have a few propagated inputs:
- gcc-toolchain
- curl
- git
- nss-certs.

Please address the above two in v8 if you agree.  If not, please help me
understand where I may have erred in the analysis above.

-- 
Suhail